# Configuration file for the L1A-L1B module of SPEXone

main:
  processes:
    - l1b
  ckd_file_in: ckd.nc
  binningtable: SPX1_CKD_BIN_TBL_20210304T124000_001.nc

l1b:
  outputfile: l1b.nc
  first_proc_rel_workload: 0.3
  mpi_send_size: 30
  demfile: gebco_ocssw_v2020.nc
  utcfile: UTC.nc
  semi_major_axis: 6378137.0
  semi_minor_axis: 6356752.298215968
  latitude_tol: 1.0e-12
  mountain: 1000.0
  movedistance: 50.0
  extremeweight: 0.05
  geolocation_tol: 1.0e-15
  order: 1
  resolving_power: 40.0
  l1a_files:
    - PACE_SPEXONE.20220321T121619.L1A.nc
  knots:
    - 380.0000000000001
    - 386.95525428674995
    - 394.03781268453497
    - 401.2500052787866
    - 408.594204803191
    - 416.07282742029247
    - 423.68833351638483
    - 431.44322851095257
    - 439.3400636809262
    - 447.38143700002547
    - 455.5699939934642
    - 463.90842860830014
    - 472.39948409971396
    - 481.0459539335112
    - 489.85068270514205
    - 498.81656707554276
    - 507.9465567241059
    - 517.2436553190931
    - 526.7109215058097
    - 536.3514699128656
    - 546.1684721768552
    - 556.1651579857912
    - 566.3448161416375
    - 576.7107956422892
    - 587.2665067833575
    - 598.0154222801194
    - 608.9610784100045
    - 620.1070761759913
    - 631.457082491299
    - 643.0148313857627
    - 654.7841252342878
    - 666.7688360077918
    - 678.9729065470402
    - 691.4003518597989
    - 704.0552604417284
    - 716.941795621455
    - 730.0641969302609
    - 743.4267814968445
    - 757.0339454676091
    - 770.8901654529479
    - 785.0000000000003
  l1b_wavelength:
    - 390.000
    - 395.452
    - 400.980
    - 406.586
    - 412.269
    - 418.033
    - 423.876
    - 429.802
    - 435.810
    - 441.903
    - 448.080
    - 454.344
    - 460.695
    - 467.136
    - 473.666
    - 480.287
    - 487.001
    - 493.809
    - 500.713
    - 507.712
    - 514.810
    - 522.006
    - 529.304
    - 536.703
    - 544.206
    - 551.813
    - 559.527
    - 567.349
    - 575.280
    - 583.322
    - 591.477
    - 599.745
    - 608.129
    - 616.631
    - 625.251
    - 633.991
    - 642.854
    - 651.841
    - 660.953
    - 670.193
    - 679.562
    - 689.061
    - 698.694
    - 708.461
    - 718.365
    - 728.407
    - 738.590
    - 748.915
    - 759.384
    - 770.000
  intensity_wavelength:
    - 380.0
    - 381.0
    - 382.0
    - 383.0
    - 384.0
    - 385.0
    - 386.0
    - 387.0
    - 388.0
    - 389.0
    - 390.0
    - 391.0
    - 392.0
    - 393.0
    - 394.0
    - 395.0
    - 396.0
    - 397.0
    - 398.0
    - 399.0
    - 400.0
    - 401.0
    - 402.0
    - 403.0
    - 404.0
    - 405.0
    - 406.0
    - 407.0
    - 408.0
    - 409.0
    - 410.0
    - 411.0
    - 412.0
    - 413.0
    - 414.0
    - 415.0
    - 416.0
    - 417.0
    - 418.0
    - 419.0
    - 420.0
    - 421.0
    - 422.0
    - 423.0
    - 424.0
    - 425.0
    - 426.0
    - 427.0
    - 428.0
    - 429.0
    - 430.0
    - 431.0
    - 432.0
    - 433.0
    - 434.0
    - 435.0
    - 436.0
    - 437.0
    - 438.0
    - 439.0
    - 440.0
    - 441.0
    - 442.0
    - 443.0
    - 444.0
    - 445.0
    - 446.0
    - 447.0
    - 448.0
    - 449.0
    - 450.0
    - 451.0
    - 452.0
    - 453.0
    - 454.0
    - 455.0
    - 456.0
    - 457.0
    - 458.0
    - 459.0
    - 460.0
    - 461.0
    - 462.0
    - 463.0
    - 464.0
    - 465.0
    - 466.0
    - 467.0
    - 468.0
    - 469.0
    - 470.0
    - 471.0
    - 472.0
    - 473.0
    - 474.0
    - 475.0
    - 476.0
    - 477.0
    - 478.0
    - 479.0
    - 480.0
    - 481.0
    - 482.0
    - 483.0
    - 484.0
    - 485.0
    - 486.0
    - 487.0
    - 488.0
    - 489.0
    - 490.0
    - 491.0
    - 492.0
    - 493.0
    - 494.0
    - 495.0
    - 496.0
    - 497.0
    - 498.0
    - 499.0
    - 500.0
    - 501.0
    - 502.0
    - 503.0
    - 504.0
    - 505.0
    - 506.0
    - 507.0
    - 508.0
    - 509.0
    - 510.0
    - 511.0
    - 512.0
    - 513.0
    - 514.0
    - 515.0
    - 516.0
    - 517.0
    - 518.0
    - 519.0
    - 520.0
    - 521.0
    - 522.0
    - 523.0
    - 524.0
    - 525.0
    - 526.0
    - 527.0
    - 528.0
    - 529.0
    - 530.0
    - 531.0
    - 532.0
    - 533.0
    - 534.0
    - 535.0
    - 536.0
    - 537.0
    - 538.0
    - 539.0
    - 540.0
    - 541.0
    - 542.0
    - 543.0
    - 544.0
    - 545.0
    - 546.0
    - 547.0
    - 548.0
    - 549.0
    - 550.0
    - 551.0
    - 552.0
    - 553.0
    - 554.0
    - 555.0
    - 556.0
    - 557.0
    - 558.0
    - 559.0
    - 560.0
    - 561.0
    - 562.0
    - 563.0
    - 564.0
    - 565.0
    - 566.0
    - 567.0
    - 568.0
    - 569.0
    - 570.0
    - 571.0
    - 572.0
    - 573.0
    - 574.0
    - 575.0
    - 576.0
    - 577.0
    - 578.0
    - 579.0
    - 580.0
    - 581.0
    - 582.0
    - 583.0
    - 584.0
    - 585.0
    - 586.0
    - 587.0
    - 588.0
    - 589.0
    - 590.0
    - 591.0
    - 592.0
    - 593.0
    - 594.0
    - 595.0
    - 596.0
    - 597.0
    - 598.0
    - 599.0
    - 600.0
    - 601.0
    - 602.0
    - 603.0
    - 604.0
    - 605.0
    - 606.0
    - 607.0
    - 608.0
    - 609.0
    - 610.0
    - 611.0
    - 612.0
    - 613.0
    - 614.0
    - 615.0
    - 616.0
    - 617.0
    - 618.0
    - 619.0
    - 620.0
    - 621.0
    - 622.0
    - 623.0
    - 624.0
    - 625.0
    - 626.0
    - 627.0
    - 628.0
    - 629.0
    - 630.0
    - 631.0
    - 632.0
    - 633.0
    - 634.0
    - 635.0
    - 636.0
    - 637.0
    - 638.0
    - 639.0
    - 640.0
    - 641.0
    - 642.0
    - 643.0
    - 644.0
    - 645.0
    - 646.0
    - 647.0
    - 648.0
    - 649.0
    - 650.0
    - 651.0
    - 652.0
    - 653.0
    - 654.0
    - 655.0
    - 656.0
    - 657.0
    - 658.0
    - 659.0
    - 660.0
    - 661.0
    - 662.0
    - 663.0
    - 664.0
    - 665.0
    - 666.0
    - 667.0
    - 668.0
    - 669.0
    - 670.0
    - 671.0
    - 672.0
    - 673.0
    - 674.0
    - 675.0
    - 676.0
    - 677.0
    - 678.0
    - 679.0
    - 680.0
    - 681.0
    - 682.0
    - 683.0
    - 684.0
    - 685.0
    - 686.0
    - 687.0
    - 688.0
    - 689.0
    - 690.0
    - 691.0
    - 692.0
    - 693.0
    - 694.0
    - 695.0
    - 696.0
    - 697.0
    - 698.0
    - 699.0
    - 700.0
    - 701.0
    - 702.0
    - 703.0
    - 704.0
    - 705.0
    - 706.0
    - 707.0
    - 708.0
    - 709.0
    - 710.0
    - 711.0
    - 712.0
    - 713.0
    - 714.0
    - 715.0
    - 716.0
    - 717.0
    - 718.0
    - 719.0
    - 720.0
    - 721.0
    - 722.0
    - 723.0
    - 724.0
    - 725.0
    - 726.0
    - 727.0
    - 728.0
    - 729.0
    - 730.0
    - 731.0
    - 732.0
    - 733.0
    - 734.0
    - 735.0
    - 736.0
    - 737.0
    - 738.0
    - 739.0
    - 740.0
    - 741.0
    - 742.0
    - 743.0
    - 744.0
    - 745.0
    - 746.0
    - 747.0
    - 748.0
    - 749.0
    - 750.0
    - 751.0
    - 752.0
    - 753.0
    - 754.0
    - 755.0
    - 756.0
    - 757.0
    - 758.0
    - 759.0
    - 760.0
    - 761.0
    - 762.0
    - 763.0
    - 764.0
    - 765.0
    - 766.0
    - 767.0
    - 768.0
    - 769.0
    - 770.0
    - 771.0
    - 772.0
    - 773.0
    - 774.0
    - 775.0
    - 776.0
    - 777.0
    - 778.0
    - 779.0
